cURL
curl --request POST \ --url https://api.ravan.ai/api/v1/tools/ \ --header 'Content-Type: application/json' \ --header 'X-Api-Key: <api-key>' \ --data ' { "name": "<string>", "description": "<string>", "type": "<string>", "definition": {} } '
{ "success": true, "message": "Request completed successfully", "data": { "id": "id_123", "organization_id": "organization_123", "name": "Support Bot", "description": "Example description", "type": "twilio", "definition": {}, "is_active": true } }
Create Agent Tool.
Documentation IndexFetch the complete documentation index at: https://docs.ravan.ai/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.ravan.ai/llms.txt
Use this file to discover all available pages before exploring further.
Show data
Tool name
Tool description
Tool type (e.g. webhook, function)
Tool definition schema
Successful response
Show child attributes